0.x升级至1.x

公子 edited this page Mar 24, 2018 · 5 revisions

1.x 版本使用 ThinkJS3 重构了整个项目,由于更新了底层框架,所以和 0.x 版本存在不兼容,无法直接使用在线升级功能升级至 1.x 版本。下面就说一下如何手动升级至 1.x 版本。

注意

1.x 版本需要 node 版本 >= 8.9.4,请确保您有符合条件的 node 环境。

假设您目前有一个 Firekylin 项目位于 /var/www/firekylin 文件夹:

  1. 下载 1.x 版本代码,并解压:
    wget https://firekylin.org/release/v1/latest.tar.gz
    tar zvxf latest.tar.gz ./firekylin_1.x
  2. 将原来的用户内容都迁移到新目录中:
    cd /var/www;
    # 上传图片
    cp -rf firekylin/www/static/upload firekylin_1.x/www/static;
    
    # 系统配置文件
    cp -f firekylin/app/common/config/db.js firekylin_1.x/src/common/config;
    cp -f firekylin/pm2.json firekylin_1.x;
    cp -f firekylin/.installed firekylin_1.x;
    cp -f firekylin/port firekylin_1.x;
    cp -f firekylin/nginx.conf firekylin_1.x;
  3. 进入新目录安装依赖:
    cd firekylin_1.x;
    npm install --registry=https://registry.npm.taobao.org;
  4. 修改 pm2.json 文件中的 cwd 字段值为你的项目目录,script 字段修改为 production.js(去掉www/)。
  5. pm2 后台启动 node 服务:pm2 startOrReload pm2.json
  6. 如果有自定义主题的同学需要参考默认主题修改自定义主题的模板语法

温馨提示

  1. 启动新服务之前记得把老的服务关掉,否则会有端口冲突的问题。
  2. 因为有模板变量变化,所以如果有自定义模板的同学会发现进入页面渲染报错,请各位先到后台将主题切换成默认主题,然后再对比你的自定义的主题和默认主题有什么差别修改好后再切换回自定义主题。
You can’t perform that action at this time.
You signed in with another tab or window. Reload to refresh your session. You signed out in another tab or window. Reload to refresh your session.
Press h to open a hovercard with more details.